#!/usr/bin/env node

const glob = require('glob');
const {generateCssTypings} = require('./generator');

const defaultPattern = `${__dirname}/**/*.css`;

const args = {
    root: defaultPattern,
    banner: null,
    camelCase: process.argv.includes('--camelCase'),
    namedExport: process.argv.includes('--namedExport'),
};

if ((index = process.argv.indexOf('--root')) !== (-1)) {
    args.root = process.argv[index + 1] || defaultPattern;
}

if ((index = process.argv.indexOf('--banner')) !== (-1)) {
    args.banner = process.argv[index + 1] || null;
}

const {root, ...options} = args;

glob(root, {}, (err, filePaths) => {
    if (err) {
        console.error(err);
    }

    for (const file of filePaths) {
        generateCssTypings(file, options);
    }
});
